ATA_GET_IDENTITY(9)

NAME
ata_get_identity - Handler for HDIO_GET_IDENTITY ioctl

SYNOPSIS

int ata_get_identity(struct ata_port * ap, struct scsi_device * sdev, void __user * arg);

ARGUMENTS

ap
    target port

sdev
    SCSI device to get identify data for

arg
    User buffer area for identify data

LOCKING

Defined by the SCSI layer. We don't really care.

RETURNS

Zero on success, negative errno on error.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT